Skip to main content
`Ctrl`+`K`

# MatZeroRowsLocalIS

Zeros all entries (except possibly the main diagonal) of a set of rows of a matrix; using local numbering of rows.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatZeroRowsLocalIS(Mat mat, IS is, PetscScalar diag, Vec x, Vec b)

Collective

## Input Parameters

- mat - the matrix

- is - index set of rows to remove

- diag - value put in all diagonals of eliminated rows

- x - optional vector of solutions for zeroed rows (other entries in vector are not used)

- b - optional vector of right-hand side, that will be adjusted by provided solution

## Notes

Before calling `MatZeroRowsLocalIS()`, the user must first set the local-to-global mapping by calling `MatSetLocalToGlobalMapping()`, this is often already set for matrices obtained with `DMCreateMatrix()`.

See `MatZeroRows()` for details on how this routine operates.

## See Also

Matrices, `Mat`, `MatZeroRowsIS()`, `MatZeroRowsColumns()`, `MatZeroRows()`, `MatZeroRowsStencil()`, `MatZeroEntries()`, `MatZeroRowsLocal()`, `MatSetOption()`, `MatZeroRowsColumnsLocal()`, `MatZeroRowsColumnsLocalIS()`, `MatZeroRowsColumnsIS()`, `MatZeroRowsColumnsStencil()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages